## django-rq 2.5.1

=== integration_test/requirements.txt ===
-e ..
Django==3.2.9
gunicorn==20.1.0
psycopg2==2.9.2
requests==2.26.0

=== debian/changelog ===
django-rq (2.5.1-1) unstable; urgency=medium

  * [2f0db05] New upstream version 2.5.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 Nov 2021 16:47:03 +0100

django-rq (2.5.0-1) unstable; urgency=medium

  * [57ff99e] New upstream version 2.5.0
  * [4cdc86e] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [cb7028b] d/watch: Correct package name in filenamemangle

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 19 Nov 2021 18:06:31 +0100

django-rq (2.4.1-1~exp1) experimental; urgency=medium

  * [0ee0499] New upstream version 2.4.1
  * [3870e1b] First and basic Debianization
    (Closes: #990085)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 Jun 2021 20:32:45 +0200

=== debian/control ===
Source: django-rq
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-rq
Vcs-Git: https://salsa.debian.org/python-team/packages/django-rq.git
Homepage: https://github.com/rq/django-rq
Testsuite: autopkgtest-pkg-python

Package: python3-django-rq
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: Django integration with RQ (Redis Queue) (Python3 version)
 Django-RQ is a simple app that allows you to configure your queues in django's
 settings.py and easily use them in your project.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
# watch file for django-rq

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-rq-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/rq/django-rq.git \
      refs/tags/v(\d+\.\d+\.\d+)

## django-rq 2.6.0

=== integration_test/requirements.txt ===
-e ..
Django==3.2.16
gunicorn==20.1.0
psycopg2==2.9.5
requests==2.28.1

=== debian/changelog ===
django-rq (2.6.0-1) unstable; urgency=medium

  * [6023f43] New upstream version 2.6.0
  * [d1b9a97] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [e7900eb] Lintian: Drop not needed override

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 05 Nov 2022 12:57:31 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-python,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-rq
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-rq.git
 Homepage: https://github.com/rq/django-rq

## django-rq 2.7.0

=== integration_test/requirements.txt ===
-e ..
Django==3.2.17
gunicorn==20.1.0
psycopg2==2.9.5
requests==2.28.2

=== debian/changelog ===
django-rq (2.7.0-1) unstable; urgency=medium

  * [eda593f] New upstream version 2.7.0
  * [e64669f] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [0d5fc39] d/copyright: Update year data
  * [b19f216] d/control: Use dh-sequence-python3 instead of dh-python

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 09 Feb 2023 12:18:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
 Build-Depends-Indep:
- dh-python,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-rq
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-rq.git
 Homepage: https://github.com/rq/django-rq

## django-rq 2.8.0

=== integration_test/requirements.txt ===
-e ..
Django==3.2.18
gunicorn==20.1.0
psycopg2==2.9.6
requests==2.29.0

## django-rq 2.8.1

=== integration_test/requirements.txt ===
-e ..
Django==3.2.19
gunicorn==20.1.0
psycopg2==2.9.6
requests==2.30.0

=== debian/changelog ===
django-rq (2.8.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 20 Jun 2023 19:34:00 +0200

django-rq (2.8.1-1) experimental; urgency=medium

  * [ebb8bf3] New upstream version 2.8.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 May 2023 16:49:35 +0200

django-rq (2.8.0-1) experimental; urgency=medium

  * [4d5f24c] d/gbp.conf: Add files to filter out
  * [082b034] d/README.source: Basic information about source handling
  * [7901560] New upstream version 2.8.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 04 May 2023 19:28:26 +0200

## django-rq 2.10.1

=== integration_test/requirements.txt ===
-e ..
Django==3.2.20
gunicorn==20.1.0
psycopg2==2.9.7
requests==2.31.0

=== debian/changelog ===
django-rq (2.10.1-1) unstable; urgency=medium

  * [d23df32] New upstream version 2.10.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Dec 2023 07:05:57 +0100

django-rq (2.9.0-1) unstable; urgency=medium

  * [4c87dbe] d/gbp.conf: Drop doubled setting for debian-branch
  * [e8ed8cc] d/watch: Set compression type to gz
  * [eb0922a] New upstream version 2.9.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Dec 2023 09:09:49 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Architecture: all
 Depends:
  python3-django,
+ python3-rq (>= 1.14),
  ${misc:Depends},
  ${python3:Depends},
 Description: Django integration with RQ (Redis Queue) (Python3 version)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-rq
# The tests require a PostgreSQL instance with a database, would be nice to
# have but is simply to much to do right now. See integration_test/README.md.
export PYBUILD_DISABLE=test
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-rq-$1.tar.gz/ \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \

## django-rq 2.10.2

=== integration_test/requirements.txt ===
-e ..
Django==3.2.24
gunicorn==20.1.0
psycopg2==2.9.7
requests==2.31.0

=== debian/changelog ===
django-rq (2.10.2-1) unstable; urgency=medium

  * [46ea52f] New upstream version 2.10.2
  * [0367cb3] d/control: Update Standards-Version to 4.7.0
  * [3f68dc6] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Apr 2024 19:20:39 +0200

## django-rq 3.0

=== integration_test/requirements.txt ===
-e ..
Django==4.2.16
gunicorn==22.0.0
psycopg2==2.9.7
requests==2.32.0

=== debian/changelog ===
django-rq (3.0-1) unstable; urgency=medium

  * [96d1d9d] d/watch: Watch more flexible on available versions
  * [13c19ac] New upstream version 3.0
  * [050af17] d/rules: Drop obsolete setting PYBUILD_SYSTEM=distutils
    We use already dh-sequence-python3 as a build dependency and no distutils
    stuff is used at all.
  * [493bdab] d/rules: Drop --with option from default target
    Also obdolete by using dh-sequence-python3.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Nov 2024 18:16:45 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends-Indep:
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-rq
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-rq.git
 Homepage: https://github.com/rq/django-rq

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 # The tests require a PostgreSQL instance with a database, would be nice to
 # have but is simply to much to do right now. See integration_test/README.md.
 export PYBUILD_DISABLE=test
-export PYBUILD_SYSTEM=distutils
 
 %:
-	dh $@ --with=python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
--- 
+++ 
@@ -8,4 +8,4 @@
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/rq/django-rq.git \
-      refs/tags/v(\d+\.\d+\.\d+)
+      refs/tags/@ANY_VERSION@

## django-rq 3.0.1

=== integration_test/requirements.txt ===
-e ..
Django==4.2.20
gunicorn==23.0.0
psycopg2==2.9.7
requests==2.32.0

=== debian/changelog ===
django-rq (3.0.1-2) unstable; urgency=medium

  * [2ce35d3] d/control: Bump dep on python3-rq to >= 2
    (Closes: #1104613)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 May 2025 13:51:14 +0200

django-rq (3.0.1-1) unstable; urgency=medium

  * [9e7ea24] New upstream version 3.0.1
  * [8f24d78] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [b9dbae9] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 30 Apr 2025 18:27:04 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends-Indep:
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-rq
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-rq.git
 Homepage: https://github.com/rq/django-rq
@@ -21,7 +21,7 @@
 Architecture: all
 Depends:
  python3-django,
- python3-rq (>= 1.14),
+ python3-rq (>= 2),
  ${misc:Depends},
  ${python3:Depends},
 Description: Django integration with RQ (Redis Queue) (Python3 version)

## django-rq 3.1

=== Makefile ===
test:
	 coverage run `which django-admin.py` test django_rq --settings=django_rq.tests.settings --pythonpath=.
	 python setup.py check --metadata --restructuredtext --strict

=== integration_test/requirements.txt ===
-e ..
Django==4.2.22
gunicorn==23.0.0
psycopg2==2.9.7
requests==2.32.4

=== debian/changelog ===
django-rq (3.1-1) unstable; urgency=medium

  * [69e0de5] d/watch: Convert to version 5
  * [b4735b0] New upstream version 3.1
  * [5f24a4e] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [6664b69] d/control: Update B-D to use hatchling backend
  * [21e92c0] d/control: Small update of package description
  * [636af1b] d/control: Addings some Suggests to bin package
  * [45e87ab] d/rules: Drop inclusion of pkg-info.mk

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Aug 2025 14:01:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
-Build-Depends-Indep:
- python3-setuptools,
-Rules-Requires-Root: no
+ python3-hatchling,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-rq
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-rq.git
@@ -24,8 +23,12 @@
  python3-rq (>= 2),
  ${misc:Depends},
  ${python3:Depends},
-Description: Django integration with RQ (Redis Queue) (Python3 version)
- Django-RQ is a simple app that allows you to configure your queues in django's
+Suggests:
+ python3-prometheus-client (>= 0.4.0),
+ python3-sentry-sdk (>= 1.0.0),
+Description: Django integration with RQ (Redis Queue)
+ Django integration with RQ, a Redis based Python queuing library. Django-RQ
+ is a simple app that allows you to configure your queues in django's
  settings.py and easily use them in your project.
  .
  This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # -*- makefile -*-
 
 #export DH_VERBOSE = 1
-
-include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-rq
 # The tests require a PostgreSQL instance with a database, would be nice to

=== debian/watch ===
Version: 5

Source: https://github.com/rq/django-rq.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git

## django-rq 3.2.1

=== Makefile ===
test:
	 coverage run `which django-admin.py` test tests --settings=tests.settings --pythonpath=.
	 python setup.py check --metadata --strict

=== integration_test/requirements.txt ===
-e ..
Django==4.2.26
gunicorn==23.0.0
psycopg2==2.9.7
requests==2.32.4

=== debian/changelog ===
django-rq (3.2.1-1) unstable; urgency=medium

  * [8d5d7a1] New upstream version 3.2.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 Nov 2025 09:49:56 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
 Package: python3-django-rq
 Architecture: all
 Depends:
- python3-django,
- python3-rq (>= 2),
+ python3-django (>= 3:4.2),
+ python3-rq (>= 2.6.1),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## django-rq 3.2.2

=== debian/changelog ===
django-rq (3.2.2-1) unstable; urgency=medium

  * [1a2f861] New upstream version 3.2.2
  * [53c5402] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Jan 2026 12:28:44 +0200
